Debian Bug report logs - #610365
debian-installer: outdated warning about GRUB2 in expert mode

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: Tobias Bußmann <e.t.bussmann@ing.twinwave.net>

Date: Mon, 17 Jan 2011 23:21:02 UTC

Severity: normal

Tags: d-i

Fixed in version grub-installer/1.60

Done: Otavio Salvador <otavio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, e.t.bussmann@ing.twinwave.net, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610365; Package debian-installer. (Mon, 17 Jan 2011 23:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Bußmann <e.t.bussmann@ing.twinwave.net>:
New Bug report received and forwarded. Copy sent to e.t.bussmann@ing.twinwave.net, Debian Install System Team <debian-boot@lists.debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

squeeze RC1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Mon, 17 Jan 2011 23:21:05 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tobias Bußmann <e.t.bussmann@ing.twinwave.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: outdated warning about GRUB2 in expert mode
Date: Fri, 14 Jan 2011 20:32:21 +0100
Package: debian-installer
Version: squeeze RC1
Severity: normal
Tags: d-i


when installing squeeze with rc1 netboot image in expert mode, I get a warning
about GRUB2 beeing experimental and should not be used on production systems.
According to http://wiki.debian.org/NewInSqueeze GRUB2 is now the recommended
default. So the warning message seems to be somehow outdated and confusing.

-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Otavio Salvador <otavio@debian.org>:
You have taken responsibility. (Mon, 17 Jan 2011 23:51:08 GMT) Full text and rfc822 format available.

Notification sent to Tobias Bußmann <e.t.bussmann@ing.twinwave.net>:
Bug acknowledged by developer. (Mon, 17 Jan 2011 23:51:08 GMT) Full text and rfc822 format available.

Message #10 received at 610365-close@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: 610365-close@bugs.debian.org
Subject: Bug#610365: fixed in grub-installer 1.60
Date: Mon, 17 Jan 2011 23:47:06 +0000
Source: grub-installer
Source-Version: 1.60

We believe that the bug you reported is fixed in the latest version of
grub-installer, which is due to be installed in the Debian FTP archive:

grub-installer_1.60.dsc
  to main/g/grub-installer/grub-installer_1.60.dsc
grub-installer_1.60.tar.gz
  to main/g/grub-installer/grub-installer_1.60.tar.gz
grub-installer_1.60_amd64.udeb
  to main/g/grub-installer/grub-installer_1.60_amd64.udeb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610365@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Otavio Salvador <otavio@debian.org> (supplier of updated grub-installer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 17 Jan 2011 21:41:47 -0200
Source: grub-installer
Binary: grub-installer
Architecture: source amd64
Version: 1.60
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
Description: 
 grub-installer - Install GRUB on a hard disk (udeb)
Closes: 610365
Changes: 
 grub-installer (1.60) unstable; urgency=low
 .
   * Drop warning about GRUB 2 being experimental. Closes: #610365.
Checksums-Sha1: 
 a22436632e4ef6b5615c1559217740857dfee3d8 1703 grub-installer_1.60.dsc
 44ff19742060d2c9480d519fa85ddfedb7438d63 178619 grub-installer_1.60.tar.gz
 becb50916147bf6ec1399c7612d4f6f0f1209a27 166958 grub-installer_1.60_amd64.udeb
Checksums-Sha256: 
 ccad95c24bebdf005c262199ff56ad1e7b249009e477fa6d69968a83ff19a609 1703 grub-installer_1.60.dsc
 779fd32ad94ae403b5d1268eb402e55b510e0155aefde186067078a03097ef0d 178619 grub-installer_1.60.tar.gz
 d3259a95323d0d8ce860c62f9b19aa93143fd3fb0810882cc06f19897ed05f03 166958 grub-installer_1.60_amd64.udeb
Files: 
 3e2bad30e92b276b0871c8f6dea2bde5 1703 debian-installer standard grub-installer_1.60.dsc
 fadc890902364796c029fc9710b6a946 178619 debian-installer standard grub-installer_1.60.tar.gz
 ea7bd14a52785fa3a58c21971e65c480 166958 debian-installer standard grub-installer_1.60_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNNNPGAAoJEOtw/vPN/G5PqbQP/3DodfapSpll1Ed8NkGs9z2E
spUZALp+5RPEPpZrF5Z/mUx12ozFkOocdn6TJ14QnGGAGAw/KQiIWCwpsHMmLYTu
B9QOU2rV7owhEHmjT6vCOdVdx2M2qnoLergwjWSBkZ/8MfFpRsIlVU/cKQGz02F/
TaDKK1nvIdK/O9Cecyf1993z/HZsVcCOCKIG+TxhFtYY8oP0xPgSKr2o0w7HnfsE
3BLWBNtauR/3Ss+5YXBRSykedabvoO5DtzIpgQttpE526ebOdDuxf5Lr/2bKCHGd
2a1P6X4Xac6WVI38LkvSJE3TOp/BMT3R8LnXJapMTeY3L7subT2/HTOW5mEZHd59
M2byyBpS9rlipIuLOWa2JvuM1FfemjC8SHklLBUs2EtEWGZD48hEGilaZVQ+DXG1
aTb/tx1W57r1MyxKfuEeKhvimLba6WLoX5KbpPcguEtPUmn3e7883Ieo0O+Af+Np
8suW/0tIkXznk/R5f78e3y1qM/iD4T3HMZ9E+emiW4+LNMqMr1NhP1AF6II5CBJS
tX++SMDZCG7uQ/1wMukVKVRcfze4X8koY6H3T3vLJMobbfKxkgBZt7yw32eZ7gwA
El537mkAoyPwKLexbS2HPByJTzImdalw5sMS8k8iCM7WA5QDLYOc2jjarQaHZKet
QiOGolBfHmXuC/XDLPup
=gdi2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Feb 2011 07:31:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:06:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.